SOURCES	+=	qxine.cpp \
			convert.cpp   \ 
			xineinfo.cpp   \
			qxine_main.cpp  \
			qxinewidget.cpp  \
			dialogmovie.cpp   \
			dialogchapters.cpp \
			listviewfileitem.cpp\
			../sourcefileentry.cpp

HEADERS +=	qxine.h \
			convert.h    \
			xineinfo.h    \
			qxinewidget.h  \
			dialogmovie.h   \
			qxine_global.h   \
			dialogchapters.h  \
			listviewfileitem.h \
			../sourcefileentry.cpp

DISTFILES	= README

# Here we check if the environmane variable QMAKE_IMAGES is set
# If not then we generate qmake_image_collection.o
# This is needed because qdvdauthor is building qxine as well and the qxine qmake_image_collection 
# would overwrite the qmake_image_collection from qdvdauthor.
# Note: we create all qxine images also in qdvdauthor but since qxine is an external Program
#       we want to keep it seperate from qdvdauthor.pro itself.
WHICH_IMAGES = $$(QMAKE_IMAGES)

isEmpty(WHICH_IMAGES) {
IMAGES	= images/desktop.png images/documents.png images/home.png images/project.png \
	  images/root.png images/babytux.png images/play.png \
	  images/pause.png
}

unix {
  UI_DIR = ../.ui
  MOC_DIR = ../.moc
  OBJECTS_DIR = ../.obj
}

LIBS += `xine-config --cflags --libs`

FORMS	= uiqxine.ui \
	uidialogmovie.ui  \
	uidialogchapters.ui\
	dialogqxinesetup.ui \
	dialogaboutqxine.ui

RES_FILE =qxine_resources.cpp
TEMPLATE  =app
DESTDIR   =../../bin
CONFIG	 += thread warn_on debug
LANGUAGE  = C++
